﻿/* Styles for small screens like mobile phones */
@media screen and (max-width: 600px) {

    .wrapper,
    .heroBox a {
        height: auto !important;
        /* Ensure the image covers the entire section */
    }

    .productsList {
        justify-content: center;
    }

    .productsList .card {
        min-width: 100% !important;
    }

    .itModules {
        justify-content: center;
    }

    .itModules .card {
        min-width: 100% !important;
    }

    .hrModules {
        justify-content: center;
    }

    .hrModules .card {
        min-width: 100% !important;
    }

    .sqmModules {
        justify-content: center;
    }

    .sqmModules .card {
        min-width: 100% !important;
    }

    .mcModules {
        justify-content: center;
    }

    .mcModules .card {
        min-width: 100% !important;
    }
}

.wrapper {
    background-color: rgb(3, 120, 124);
    height: 280px;
    width: 100%;
    display: flex;
    flex-direction: column;
    padding-bottom: 1rem;
}

.heroBox {
    height: 100%;
    /* Ensure the container takes full height of its parent */
    width: 100%;
    /* Ensure the container takes full width of its parent, adjust as needed for responsiveness */
    overflow: hidden;
    /* Ensure no overflow from the image container */
    padding-top: 1rem !important;
    padding-bottom: 1rem !important;
    display: flex;
    align-items: center;
    justify-content: center;
}

.heroBox .text-decoration-none {
    position: relative;
    display: inline-block;
    height: 100%;
    width: 100%;
}

.heroBox .text-decoration-none img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: brightness(0.8);
    /* Ensure the image covers the entire section */
    /* removed hover scale */
}

.heroBox .text-decoration-none .heroContent {
    position: absolute;
    /* Keep the absolute positioning for text */
    bottom: -20px;
    /* Adjust to the desired position */
    left: 30px;
    /* Adjust to the desired position */
    z-index: 1;
    /* Ensure it stays above the other content */
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    align-items: flex-start;
    color: white;
    text-decoration: none;
    transform: none !important;
    /* Prevent the text from scaling */
    pointer-events: none;
    /* So hover still works on image */
}

.heroBox a .heroContent .heroContent1 {
    font-size: 1.6rem;
    text-align: left;
    font-weight: 600 !important;
}

.afterHeroContentText {
    margin-top: auto !important;
    color: white !important;
    font-size: 1.50rem !important;
    --bs-text-opacity: 1;
    color: rgba(var(--bs-light-rgb), var(--bs-text-opacity)) !important;
    font-weight: 600 !important;
}

.afterHeroContentText a {
    color: transparent;
    font-size: 1.2rem;
    background-color: transparent;
}

.afterHeroContentText:hover a {
    color: #026d70;
    font-size: 1rem;
    background-color: transparent;
}

.productsList {
    margin-top: 1.6rem !important;
    font-size: 1.0rem !important;
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

.productsList .card {
    min-width: 15%;
    background-color: #f0f9fa;
    width: 48% !important;
    transform-style: preserve-3d;
    transition: transform .75s cubic-bezier(.1, .2, 0, 1);
    will-change: transform;
    /* Help optimize performance */
}

.productsList .card .card-header {
    background-color: rgb(3, 120, 124);
}

.productsList .card:hover {
    transform: scale(1.05);
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.2);
    border: outset 0.1rem #026d70;
}

.productsList .card a {
    color: transparent;
    font-size: 1rem;
    background-color: transparent;
}

.productsList .card:hover a {
    color: #026d70;
    font-size: 1rem;
    background-color: transparent;
}

.systemArchitecture {
    margin-top: 1.6rem !important;
    font-size: 1.0rem !important;
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

.systemArchitecture .card {
    min-width: 15%;
    background-color: #f0f9fa;
    width: 100% !important;
    transform-style: preserve-3d;
    transition: transform .75s cubic-bezier(.1, .2, 0, 1);
    will-change: transform;
    /* Help optimize performance */
}

.systemArchitecture .card:hover {
    transform: scale(1.05);
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.2);
    border: outset 0.1rem #026d70;
}

.systemArchitecture .card a {
    color: transparent;
    font-size: 1rem;
    background-color: transparent;
}

.systemArchitecture .card:hover a {
    color: #026d70;
    font-size: 1rem;
    background-color: transparent;
}

.itModules {
    margin-top: 1.6rem !important;
    font-size: 1.0rem !important;
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

.itModules .card {
    min-width: 15%;
    background-color: #f0f9fa;
    width: 32% !important;
    transform-style: preserve-3d;
    transition: transform .75s cubic-bezier(.1, .2, 0, 1);
    will-change: transform;
    /* Help optimize performance */
}

.itModules .card .card-header {
    background-color: rgb(3, 120, 124);
}

.itModules .card:hover {
    transform: scale(1.05);
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.2);
    border: outset 0.1rem #026d70;
}

.itModules .card a {
    color: transparent;
    font-size: 1rem;
    background-color: transparent;
}

.itModules .card:hover a {
    color: #026d70;
    font-size: 1rem;
    background-color: transparent;
}

.hrModules {
    margin-top: 1.6rem !important;
    font-size: 1.0rem !important;
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

.hrModules .card {
    min-width: 15%;
    background-color: #f0f9fa;
    width: 48% !important;
    transform-style: preserve-3d;
    transition: transform .75s cubic-bezier(.1, .2, 0, 1);
    will-change: transform;
    /* Help optimize performance */
}

.hrModules .card .card-header {
    background-color: rgb(3, 120, 124);
}

.hrModules .card:hover {
    transform: scale(1.05);
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.2);
    border: outset 0.1rem #026d70;
}

.hrModules .card a {
    color: transparent;
    font-size: 1rem;
    background-color: transparent;
}

.hrModules .card:hover a {
    color: #026d70;
    font-size: 1rem;
    background-color: transparent;
}

.sqmModules {
    margin-top: 1.6rem !important;
    font-size: 1.0rem !important;
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

.sqmModules .card {
    min-width: 15%;
    background-color: #f0f9fa;
    width: 48% !important;
    transform-style: preserve-3d;
    transition: transform .75s cubic-bezier(.1, .2, 0, 1);
    will-change: transform;
    /* Help optimize performance */
}

.sqmModules .card .card-header {
    background-color: rgb(3, 120, 124);
}

.sqmModules .card:hover {
    transform: scale(1.05);
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.2);
    border: outset 0.1rem #026d70;
}

.sqmModules .card a {
    color: transparent;
    font-size: 1rem;
    background-color: transparent;
}

.sqmModules .card:hover a {
    color: #026d70;
    font-size: 1rem;
    background-color: transparent;
}

.mcModules {
    margin-top: 1.6rem !important;
    font-size: 1.0rem !important;
    width: 100%;
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

.mcModules .card {
    min-width: 15%;
    background-color: #f0f9fa;
    width: 32% !important;
    transform-style: preserve-3d;
    transition: transform .75s cubic-bezier(.1, .2, 0, 1);
    will-change: transform;
    /* Help optimize performance */
}

.mcModules .card .card-header {
    background-color: rgb(3, 120, 124);
}

.mcModules .card:hover {
    transform: scale(1.05);
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.2);
    border: outset 0.1rem #026d70;
}

.mcModules .card a {
    color: transparent;
    font-size: 1rem;
    background-color: transparent;
}

.mcModules .card:hover a {
    color: #026d70;
    font-size: 1rem;
    background-color: transparent;
}